LOCALSEARCH-3(1)

NAME
localsearch-3 - Used to crawl the file system to mine data.

SYNOPSIS

localsearch-3 [OPTION...]

DESCRIPTION

localsearch-3 is not supposed to be run by the user since it is started by its .desktop file when the user logs in. It can also be started manually of course for debugging purposes. You can not run more than one instance of this at the same time.

localsearch-3 mines information about applications and files only.

OPTIONS

-?, --help
    Show summary of options.

-V, --version
    Returns the version of this binary.

-s, --initial-sleep=SECONDS
    Sets the initial sleep time before crawling the file system is started. If the --no-daemon option is used, this option is ignored.

-n, --no-daemon
    Tells the miner to exit once all indexing has finished and the database is up to date. This is not the default mode of operation for the miner, usually it stays around acting like a daemon to monitor file updates which may occur over time. This option renders the --initial-sleep option moot.

-e, --eligible=FILE
    Checks if FILE is eligible for being mined based on the current configuration rules. In addition to this, it will check if FILE would be monitored for changes. This works with non-existing FILE arguments as well as existing FILE arguments.

ENVIRONMENT

G_MESSAGES_DEBUG
    Controls verbose log output from GLib-based code. Use G_MESSAGES_DEBUG=Tracker to see only Tracker-related logs, or G_MESSAGES_DEBUG=all to see everything.

TRACKER_DEBUG
    Enables more specialized debug output. Pass a comma-separated list of one or more keywords:

    config
        miner configuration

    miner-fs-events
        internal processing of localsearch-3

    monitors
        change events from filesystem monitors

    statistics
        show statistics about how many files were processed

    status
        log the status messages that are published over D-Bus

SEE ALSO

localsearch3-info(1).